package cn.hanghui.outapi.platform.tenant.entity.enums;

import cn.hutool.core.util.StrUtil;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @description:联动平台校验模式
 * @ClassName LinkageCheckMode
 * @Author WXG
 * @Date 2024/3/27 11:23
 */
@AllArgsConstructor
@Getter
public enum ResultPageTemplateEnum {
    COMMON(1, "通用"),
    FLOAT(2, "悬浮"),
    POP(3, "悬浮（无核验）"),
            ;

    public static ResultPageTemplateEnum getEnumByCode(Integer code){
        if(code == null){
            return null;
        }
        for (ResultPageTemplateEnum enumObject : values()){
            if(enumObject.code.equals(code)){
                return enumObject;
            }
        }
        return null;
    }
    private Integer code;
    private String desc;
}
